#### Integrations

##### AWS - GuardDuty Event Collector
Updated the Docker image to: *demisto/boto3py3:1.0.0.37755*.


##### AWS - GuardDuty
- Updated the Docker image to: *demisto/boto3py3:1.0.0.37755*.
- ***Breaking Changes:*** Findings that are fetched are no longer moved automatically to the GuardDuty archive.
- Added the following new parameters:
  - *How many incidents to fetch each time*
  - *First fetch timestamp*
  - *Archive findings After Fetch*
  
- Added the following arguments to the ***aws-gd-list-findings***, ***aws-gd-list-detectors***, ***aws-gd-list-threatintel-sets***, ***aws-gd-list-ip-sets*** commands:
   - *limit*
   - *page*
   - *page_size*

- Added the following arguments to the ***aws-gd-create-detector***, ***aws-gd-update-detector*** commands:
   - *enableKubernetesLogs*
   - *ebsVolumesMalwareProtection*
   - *enableS3Logs*
   - *findingFrequency*



#### Incident Fields
- **AWS Arn**
- **AWS GuardDuty Access Key Details**
- **AWS GuardDuty Confidence Score**
- **AWS GuardDuty Container Details**
- **AWS GuardDuty Ebs Volume Details**
- **AWS GuardDuty Ecs Cluster Details**
- **AWS GuardDuty Eks Cluster Details**
- **AWS GuardDuty Iam Instance Profile**
- **AWS GuardDuty Instance Details**
- **AWS GuardDuty Kubernetes User Details**
- **AWS GuardDuty Kubernetes Workload Details**
- **AWS GuardDuty Network Interface**
- **AWS GuardDuty Partition**
- **AWS GuardDuty Resource Type**
- **AWS GuardDuty S3 Bucket Details**
- **AWS GuardDuty Schema Version**
- **AWS GuardDuty Service**
- **AWS GuardDuty Type**


#### Classifiers
##### New: classifier-AWSGuardDuty_classifier.json
Added the *classifier-AWSGuardDuty_classifier.json*.

#### Mappers
##### New: classifier-mapper-incoming-AWSGuardDuty.json
Added the *classifier-mapper-incoming-AWSGuardDuty.json*.

#### Layouts
##### New: AWS Guard Duty EC2 Finding
##### New: AWS Guard Duty IAM Finding
##### New: AWS Guard Duty Kubernetes Finding
##### New: AWS Guard Duty Malware Protection Finding
##### New: AWS Guard Duty S3 Finding

#### Incident Types
- **AWS Guard Duty EC2 Finding**
- **AWS Guard Duty IAM Finding**
- **AWS Guard Duty Kubernetes Finding**
- **AWS Guard Duty Malware Protection Finding**
- **AWS Guard Duty S3 Finding**
