
#### Modeling Rules

##### AWSGuardDuty Modeling Rule

- Fixed an issue where field extractions and mappings failed due to varying lowercase/uppercase field names.
  - Added support for *camelCase* naming convention fields in addition to the existing *PascalCase* naming convention.
  - Added support for cases where the dataset's underlying schema is set with *camelCase* field names while the ingested finding records are in *PascalCase*. 
- Improved implementation of the XDM mappings. 
  - Added mappings for multiple additional fields.
  - Removed the ENUM values mappings from the `xdm.source.user.user_type` field. 
  - Removed the `Service.ServiceName` -> `xdm.target.process.name` mapping.
  - Updated source and target IP addresses mapping for network connection action findings according to the actual network direction (inbound / outbound) context.
  - Updated the following mappings.
    | AWS GuardDuty Finding Field       | Updated XDM Field              |  Previous XDM Field          |
    | :-------------------------------- | :----------------------------- | :--------------------------- |
    | `AccountId`                       | xdm.target.cloud.project_id    | ~~xdm.target.resource.id~~   |
    | `Resource.EksClusterDetails.Name` | xdm.target.resource.name       |~~xdm.target.host.hostname~~  |
    | `Resource.ResourceType`           | xdm.target.resource.type       |~~xdm.alert.category~~        |
    | `Title`                           | xdm.alert.name                 |~~xdm.event.outcome_reason~~  | 

#### Parsing Rules

##### AWSGuardDuty Parsing Rule

Fixed an issue where **_time** was assigned with the default **_insert_time** value due to varying lowercase/uppercase field names, where the **UpdatedAt** field was ingested with a *camelCase* naming notation - **updatedAt**.
